Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.scatterbox
Class BasicQueryObject

    java.lang.Object
      edu.stanford.smi.protegex.widget.scatterbox.BasicQueryObject

All Implemented Interfaces:
  Constants, KBQueryUtils

Direct Known Subclasses:
  DomainRangeObjectPairEntry, SingleObjectEntry

    public abstract class BasicQueryObject

extends Object
implements KBQueryUtils

Description of the class

Author:
  William Grosso

Field Summary

Fields inherited from interface edu.stanford.smi.protegex.widget.scatterbox.Constants
`DIRECT_INSTANCES_ONLY, DOMAIN_VALUE_SLOTS, ENTRY_METACLASS_NAME, ENTRY_SLOT_NAME, FUNCTION_NAME, HIERARCHICAL_INCLUDE_EVERYTHING, HIERARCHICAL_OMIT_ROOTS, HIERARCHICAL_ONLY_INCLUDE_LEAVES, HIERARCHICAL_ONLY_INCLUDE_LEVEL_1_CHILDREN, NULL_SELECTED_COLOR, RANGE_VALUE_SLOTS, RECURSIVE_COPY_DEPTH_FOR_DND, TEXT_SCALING_FACTOR, USE_ALL_INSTANCES`

Constructor Summary
`BasicQueryObject()`

Method Summary
`abstract Instance` | `getDomainObject(Instance entry)`
`Cls` | `getDomainType(Cls functionCls)`
`abstract Cls` | `getDomainTypeFromEntryCls(Cls entryCls)`
`Collection` | `getDomainValueSlots(Cls entryCls)`
`Slot` | `getEntriesSlot(Cls functionCls)`
`Cls` | `getEntryCls(Cls functionCls)`
`abstract Instance` | `getOrCreateDomainObject(Instance entry)`
`abstract Instance` | `getOrCreateRangeObject(Instance entry)`
`abstract Instance` | `getRangeObject(Instance entry)`
`Cls` | `getRangeType(Cls functionCls)`
`abstract Cls` | `getRangeTypeFromEntryCls(Cls entryCls)`
`Slot` | `getRangeValueSlot(Cls entryCls)`
`Slot` | `getRangeValueSlot(Instance entry)`
`Collection` | `getRangeValueSlots(Cls entryCls)`
`Collection` | `getRangeValueSlots(Instance entry)`
`abstract void` | `setDomainObject(Instance entry, Instance domainObject)`
`abstract void` | `setRangeObject(Instance entry, Instance rangeObject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicQueryObject

    public BasicQueryObject()

Method Detail

### getDomainObject

    public abstract Instance getDomainObject(Instance entry)

  Specified by:
    `getDomainObject` in interface `KBQueryUtils`

### getDomainType

    public Cls getDomainType(Cls functionCls)

  Specified by:
    `getDomainType` in interface `KBQueryUtils`

### getDomainTypeFromEntryCls

    public abstract Cls getDomainTypeFromEntryCls(Cls entryCls)

  Specified by:
    `getDomainTypeFromEntryCls` in interface `KBQueryUtils`

### getDomainValueSlots

    public Collection getDomainValueSlots(Cls entryCls)

  Specified by:
    `getDomainValueSlots` in interface `KBQueryUtils`

### getEntriesSlot

    public Slot getEntriesSlot(Cls functionCls)

  Specified by:
    `getEntriesSlot` in interface `KBQueryUtils`

### getEntryCls

    public Cls getEntryCls(Cls functionCls)

  Specified by:
    `getEntryCls` in interface `KBQueryUtils`

### getOrCreateDomainObject

    public abstract Instance getOrCreateDomainObject(Instance entry)

  Specified by:
    `getOrCreateDomainObject` in interface `KBQueryUtils`

### getOrCreateRangeObject

    public abstract Instance getOrCreateRangeObject(Instance entry)

  Specified by:
    `getOrCreateRangeObject` in interface `KBQueryUtils`

### getRangeObject

    public abstract Instance getRangeObject(Instance entry)

  Specified by:
    `getRangeObject` in interface `KBQueryUtils`

### getRangeType

    public Cls getRangeType(Cls functionCls)

  Specified by:
    `getRangeType` in interface `KBQueryUtils`

### getRangeTypeFromEntryCls

    public abstract Cls getRangeTypeFromEntryCls(Cls entryCls)

  Specified by:
    `getRangeTypeFromEntryCls` in interface `KBQueryUtils`

### getRangeValueSlot

    public Slot getRangeValueSlot(Cls entryCls)

  Specified by:
    `getRangeValueSlot` in interface `KBQueryUtils`

### getRangeValueSlot

    public Slot getRangeValueSlot(Instance entry)

  Specified by:
    `getRangeValueSlot` in interface `KBQueryUtils`

### getRangeValueSlots

    public Collection getRangeValueSlots(Cls entryCls)

  Specified by:
    `getRangeValueSlots` in interface `KBQueryUtils`

### getRangeValueSlots

    public Collection getRangeValueSlots(Instance entry)

  Specified by:
    `getRangeValueSlots` in interface `KBQueryUtils`

### setDomainObject

    public abstract void setDomainObject(Instance entry,
                                         Instance domainObject)

  Specified by:
    `setDomainObject` in interface `KBQueryUtils`

### setRangeObject

    public abstract void setRangeObject(Instance entry,
                                        Instance rangeObject)

  Specified by:
    `setRangeObject` in interface `KBQueryUtils`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request